Next Commerce
API ReferenceProducts

Stockrecords List

Retrieve a list of stockrecords.

GET
/stockrecords/

Authorization

oauth2 catalogue:read
AuthorizationBearer <token>

Generate an Access Token through Settings > API Access for single store access or use the Authorization Code flow with your partner App Client ID. Use required permission scopes for API endpoint access. Example Authorization: Bearer 123

In: header

Scope: catalogue:read

Query Parameters

search_text?string

Generic search by product name or SKU.

location_id?array<string>

Location

sku?string

SKU

inventory_availability?string

Inventory Availability

  • in_stock - In Stock
  • low_stock - Low Stock
  • out_of_stock - Out of Stock
  • untracked - Untracked

Value in

  • "in_stock"
  • "low_stock"
  • "out_of_stock"
  • "untracked"
purchase_availability?|

Purchase Availability

  • available - Available
  • unavailable - Unavailable

Value in

  • "available"
  • "unavailable"
cursor?string

The pagination cursor value.

Header Parameters

X-29next-API-Version*"2024-04-01"
Default"2024-04-01"

Value in

  • "2024-04-01"

Response Body

application/json

curl -X GET "https://example.com/stockrecords/" \  -H "X-29next-API-Version: 2024-04-01"
{  "next": "http://example.com",  "previous": "http://example.com",  "results": [    {      "date_created": "2019-08-24T14:15:22Z",      "date_updated": "2019-08-24T14:15:22Z",      "id": 0,      "location": {        "accept_return": true,        "address": {          "country": "string",          "line1": "string",          "line2": "string",          "line3": "string",          "line4": "string",          "phone_number": "string",          "postcode": "string",          "state": "string"        },        "allowed_destination_countries": [          "string"        ],        "callback_url": "http://example.com",        "id": 0,        "name": "string"      },      "low_stock_threshold": 0,      "net_stock_level": 0,      "num_allocated": -2147483648,      "num_in_stock": -2147483648,      "product": {        "id": 0,        "sku": "string",        "title": "string",        "variant_id": 0,        "variant_title": "string"      }    }  ]}